scala.tools.nsc

# MainBench

#### object MainBench extends Driver with EvalLoop

The main class for NSC, a compiler for the programming language Scala.

Source
  MainBench.scala

Linear Supertypes
EvalLoop, Driver, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. MainBench
2. EvalLoop
3. Driver
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val NBest: Int

5. #### val NIter: Int

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### var command: CompilerCommand

   Attributes
     protected
   Definition Classes
     Driver

9. #### def doCompile(compiler: Global): Unit

   Attributes
     protected
   Definition Classes
     Driver

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### def loop(action: (String) ⇒ Unit): Unit

    Definition Classes
      EvalLoop

17. #### def main(args: Array[String]): Unit

    Definition Classes
      MainBench → Driver

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### def newCompiler(): Global

    Definition Classes
      MainBench → Driver

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### def process(args: Array[String]): Unit

    Definition Classes
      Driver

23. #### def processSettingsHook(): Boolean

    Attributes
      protected
    Definition Classes
      Driver

24. #### val prompt: String

    Definition Classes
      Driver

25. #### var reporter: ConsoleReporter

    Definition Classes
      Driver

26. #### def scalacError(msg: String): Unit

    Attributes
      protected
    Definition Classes
      Driver

27. #### var settings: Settings

    Attributes
      protected
    Definition Classes
      Driver

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### lazy val theCompiler: Global

30. #### def toString(): String

    Definition Classes
      AnyRef → Any

31. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from EvalLoop

### Inherited from Driver

### Inherited from AnyRef

### Inherited from Any

### Ungrouped